## simulamet-1.2.4.tar.xz

=== CMakeLists.txt ===
# SimulaMet System Management
# Copyright (C) 2017-2026 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: dreibh@simula.no

CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
PROJECT(simulamet LANGUAGES C)

SET(BUILD_MAJOR "1")
SET(BUILD_MINOR "2")
SET(BUILD_PATCH "4")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
# INSTALLATION_DIRECTORIES
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#############################################################################
# OS-DEPENDENT
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
# REQUIREMENTS
#############################################################################



#############################################################################
# SOURCE DIRECTORIES
#############################################################################

ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
#############################################################################
# PROGRAMS
#############################################################################



#############################################################################
# CONFIGURATION FILES
#############################################################################

INSTALL(PROGRAMS system-info.d/20-simulamet DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-info.d)

INSTALL(PROGRAMS system-maintenance.d/20-simulamet DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/system-maintenance.d)



#############################################################################
# SOURCE DIRECTORIES
#############################################################################

ADD_SUBDIRECTORY(background)
ADD_SUBDIRECTORY(grub)

=== src/background/CMakeLists.txt ===
# --------------------------------------------------------------------------
#
#           #####          #     #   ###   #
#          #     #  #    # ##    #    #    #          ##    #####
#          #        #    # # #   #    #    #         #  #   #    #
#           #####   #    # #  #  #    #    #        #    #  #####
#                #  #    # #   # #    #    #        ######  #    #
#          #     #  #    # #    ##    #    #        #    #  #    #
#           #####    ####  #     #   ###   #######  #    #  #####
#
# --------------------------------------------------------------------------
#
# SuNILab Desktop Background Script
# Copyright (C) 2017-2026 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY# without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com


#############################################################################
# INITIALISE
#############################################################################

CMAKE_MINIMUM_REQUIRED(VERSION 3.5...3.31)
PROJECT(undefined C)   # to be set in Settings.input
INCLUDE(Settings.input)


#############################################################################
# INSTALLATION_DIRECTORIES
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
# OPTIONS
#############################################################################

OPTION(FLAT_DIRECTORY_STRUCTURE "Use flat directory structure" ${TDD_FLAT_DIRECTORY_STRUCTURE})

OPTION(INSTALL_ORIGINALS "Install original images as well" ${TDD_INSTALL_ORIGINALS})

OPTION(INSERT_HOSTNAME "Insert hostnames into images" ${TDD_INSERT_HOSTNAME})

OPTION(BUILD_MIRRORED "Build mirrored" ${TDD_BUILD_MIRRORED})

OPTION(BUILD_BOOTSPLASH "Build bootsplash JPEG" ${TDD_BUILD_BOOTSPLASH})
IF(NOT TDD_BOOTSPLASH_RESOLUTIONS)
   # Legacy option: use TDD_BOOTSPLASH_RESOLUTION (one resolution only)
   SET(TDD_BOOTSPLASH_RESOLUTIONS ${TDD_BOOTSPLASH_RESOLUTION})
ENDIF()
IF(BUILD_BOOTSPLASH)
   LIST(APPEND TDD_RESOLUTIONS "${TDD_BOOTSPLASH_RESOLUTIONS}")
   LIST(APPEND TDD_VARIANTS    "${TDD_BOOTSPLASH_VARIANT}")
ENDIF()

OPTION(PRINT_A4 "Build A4 PDF print version" ${TDD_PRINT_A4})
OPTION(PRINT_A3 "Build A3 PDF print version" ${TDD_PRINT_A3})
IF(PRINT_A4 OR PRINT_A3)
   LIST(APPEND TDD_RESOLUTIONS "2970x2100")
   LIST(APPEND TDD_VARIANTS    "${TDD_PRINT_VARIANT}")
ENDIF()


#############################################################################
# REQUIREMENTS
#############################################################################

INCLUDE(FindUnixCommands)

# ------ Required prgorams --------------------------------------------------
FIND_PROGRAM(AWK awk PATHS /bin /usr/bin /usr/local/bin)
IF(NOT AWK)
   MESSAGE(FATAL_ERROR
           " Cannot find AWK! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y awk\n"
           " * Fedora:        sudo dnf install -y awk\n"
           " * FreeBSD:       (should always be there!")
ENDIF()

FIND_PROGRAM(GM gm PATHS /bin /usr/bin /usr/local/bin)
IF(NOT GM)
   MESSAGE(FATAL_ERROR
           " Cannot find GraphicsMagick! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y graphicsmagick\n"
           " * Fedora:        sudo dnf install -y GraphicsMagick\n"
           " * FreeBSD:       sudo pkg install -y GraphicsMagick")
ENDIF()

FIND_PROGRAM(GIMP gimp PATHS /bin /usr/bin /usr/local/bin)
IF(NOT GIMP)
   MESSAGE(FATAL_ERROR
           " Cannot find Gimp! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y gimp\n"
           " * Fedora:        sudo dnf install -y gimp\n"
           " * FreeBSD:       sudo pkg install -y gimp")
ENDIF()

# NOTE: exiftool fails to handle GIMP-generated JPEG files under
# Debian Stretch and Ubuntu Trusty. Errors are just ignored in this case
# (i.e. the EXIF information will not be updated).
FIND_PROGRAM(EXIFTOOL exiftool PATHS /bin /usr/bin /usr/local/bin)
IF(NOT EXIFTOOL)
   MESSAGE(FATAL_ERROR
           " Cannot find ExifTool! Try:\n"
           " * Ubuntu/Debian: sudo apt install -y libimage-exiftool-perl\n"
           " * Fedora:        sudo dnf install -y perl-Image-ExifTool\n"
           " * FreeBSD:       sudo pkg install -y p5-Image-ExifTool")
ENDIF()

# ------ Required scripts ---------------------------------------------------
FIND_PROGRAM(TEST_GIMP ${TDD_TEST_GIMP})
IF(NOT TEST_GIMP)
   MESSAGE(FATAL_ERROR "Test-Gimp (${TDD_TEST_GIMP}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_CROPPED ${TDD_MAKE_CROPPED})
IF(NOT MAKE_CROPPED)
   MESSAGE(FATAL_ERROR "Resize-with-Cropping (${TDD_MAKE_CROPPED}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_CAPTION ${TDD_MAKE_CAPTION})
IF(NOT MAKE_CAPTION)
   MESSAGE(FATAL_ERROR "Make-Caption (${TDD_MAKE_CAPTION}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_GLOSSYTEXT ${TDD_MAKE_GLOSSYTEXT})
IF(NOT MAKE_GLOSSYTEXT)
   MESSAGE(FATAL_ERROR "Make-GlossyText (${TDD_MAKE_GLOSSYTEXT}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_BUMPMAP ${TDD_MAKE_BUMPMAP})
IF(NOT MAKE_BUMPMAP)
   MESSAGE(FATAL_ERROR "Make-BumpMap (${TDD_MAKE_BUMPMAP}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_OILPAINTING ${TDD_MAKE_OILPAINTING})
IF(NOT MAKE_OILPAINTING)
   MESSAGE(FATAL_ERROR "Make-OilPainting (${TDD_MAKE_OILPAINTING}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_MOSAIC ${TDD_MAKE_MOSAIC})
IF(NOT MAKE_MOSAIC)
   MESSAGE(FATAL_ERROR "Make-Mosaic (${TDD_MAKE_MOSAIC}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_CLOTH ${TDD_MAKE_CLOTH})
IF(NOT MAKE_CLOTH)
   MESSAGE(FATAL_ERROR "Make-Cloth (${TDD_MAKE_CLOTH}) not found!")
ENDIF()

FIND_PROGRAM(MAKE_OLDPHOTO ${TDD_MAKE_OLDPHOTO})
IF(NOT MAKE_OLDPHOTO)
   MESSAGE(FATAL_ERROR "Make-OldPhoto (${TDD_MAKE_OLDPHOTO}) not found!")
ENDIF()

# ------ Customised background scripts --------------------------------------
FIND_PROGRAM(BUILD_CAPTION ${TDD_BUILD_CAPTION})
IF(NOT BUILD_CAPTION)
   MESSAGE(FATAL_ERROR "Caption script (${TDD_BUILD_CAPTION}) not found!")
ENDIF()

FIND_PROGRAM(BUILD_OVERLAY ${TDD_BUILD_OVERLAY})
IF(NOT BUILD_OVERLAY)
   MESSAGE(FATAL_ERROR "Caption script (${TDD_BUILD_OVERLAY}) not found!")
ENDIF()


#############################################################################
# REQUIREMENTS
#############################################################################

IF(TDD_ADD_DIST_TARGET)
   SET(CPACK_SOURCE_GENERATOR "TGZ")
   SET(CPACK_SOURCE_PACKAGE_FILE_NAME
      "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
   SET(CPACK_SOURCE_IGNORE_FILES
      "${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}-*;${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}_*;/build/;/.git/;/.gimp/;/config.log;/CMakeFiles/;CMakeCache.txt$;.cmake$;.tar.gz$;/_CPack_Packages;/Makefile$;~$;/build-deb;/clean-deb;/filter-empty-entries;/make-symbols;/make-ppa;/make-deb;/debian.conf;/make-rpm;/rpm.conf;${CPACK_SOURCE_IGNORE_FILES};/Output/")

   INCLUDE(CPack)
   ADD_CUSTOM_TARGET(dist COMMAND +${CMAKE_MAKE_PROGRAM} clean package_source)
ENDIF()


#############################################################################
# BUILD TARGETS
#############################################################################

# NOTE: The following build rules use custom commands. They need additional
#       targets as well, to correctly run parallel builds! For details, see:
# https://samthursfield.wordpress.com/2015/11/21/cmake-dependencies-between-targets-and-files-and-custom-commands/

LIST(REMOVE_DUPLICATES TDD_RESOLUTIONS)
LIST(SORT TDD_RESOLUTIONS)
LIST(REMOVE_DUPLICATES TDD_IMAGE_FILES)
LIST(SORT TDD_IMAGE_FILES)
LIST(REMOVE_DUPLICATES TDD_TEXT_FILES)
LIST(SORT TDD_TEXT_FILES)
LIST(REMOVE_DUPLICATES TDD_VARIANTS)
LIST(SORT TDD_VARIANTS)

FILE(MAKE_DIRECTORY ${TDD_OUTPUT_DIRECTORY})


# ###### Create unique target name from file name ###########################
FUNCTION(makeUniqueTarget target fileName)
   # STRING(MAKE_C_IDENTIFIER ${fileName} result)
   SET(result ${fileName})
   STRING(REGEX REPLACE "[/\\ ]" "-"  result ${result})
   STRING(REPLACE "ä" "ae" result ${result})
   STRING(REPLACE "ö" "oe" result ${result})
   STRING(REPLACE "ü" "ue" result ${result})
   STRING(REPLACE "ß" "ss" result ${result})
   STRING(REPLACE "Ä" "AE" result ${result})
   STRING(REPLACE "Ö" "OE" result ${result})
   STRING(REPLACE "Ü" "UE" result ${result})
   STRING(REPLACE "æ" "ae" result ${result})
   STRING(REPLACE "ø" "oe" result ${result})
   STRING(REPLACE "å" "aa" result ${result})
   STRING(REPLACE "Æ" "AE" result ${result})
   STRING(REPLACE "Ø" "OE" result ${result})
   STRING(REPLACE "Å" "AA" result ${result})
   STRING(REGEX REPLACE "[áàǎã]" "a" result ${result})
   STRING(REGEX REPLACE "[ÁÀǍÃ]" "A" result ${result})
   STRING(REGEX REPLACE "[éèê]"  "e" result ${result})
   STRING(REGEX REPLACE "[ÉÈÊ]"  "E" result ${result})
   STRING(REGEX REPLACE "[^a-zA-Z0-9\\.@_+-]" "_X_" result ${result})
   SET(${target} ${result} PARENT_SCOPE)
ENDFUNCTION()


# ###### Initialise GIMP directory ##########################################
# Due to parallel runs of Gimp, make sure that gimp runs once allone first!
SET(GIMP_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${TDD_OUTPUT_DIRECTORY}/.gimp)
FILE(MAKE_DIRECTORY ${GIMP_DIRECTORY})
FILE(MAKE_DIRECTORY ${GIMP_DIRECTORY}/./gradients)   # For some reason, Gimp 2.10 does not create this directory but complains about it.
SET(gimpDirStamp "${GIMP_DIRECTORY}/gimp.stamp")
ADD_CUSTOM_COMMAND(OUTPUT  ${gimpDirStamp}
                   COMMAND env GIMP2_DIRECTORY=${GIMP_DIRECTORY} GIMP3_DIRECTORY=${GIMP_DIRECTORY} ${TEST_GIMP}
                   COMMAND touch ${gimpDirStamp})
ADD_CUSTOM_TARGET(generate_gimpDirStamp DEPENDS ${gimpDirStamp})


# ###### Generate text images ###############################################
FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${TDD_OUTPUT_DIRECTORY}/Text)
FOREACH(textFile IN LISTS TDD_TEXT_FILES)
   STRING(REGEX REPLACE ".text$" ".png" textImage "${textFile}")
   GET_FILENAME_COMPONENT(textImage ${textImage} NAME)

   ADD_CUSTOM_COMMAND(OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${TDD_OUTPUT_DIRECTORY}/Text/${textImage}
                      COMMAND env GIMP2_DIRECTORY=${GIMP_DIRECTORY} GIMP3_DIRECTORY=${GIMP_DIRECTORY} MAKE_GLOSSYTEXT="${MAKE_GLOSSYTEXT}" OUTPUT="${CMAKE_CURRENT_BINARY_DIR}/${TDD_OUTPUT_DIRECTORY}/Text/${textImage}" ${BASH} ${textFile}
                      DEPENDS ${textFile}
                              generate_gimpDirStamp
                              ${gimpDirStamp})
   LIST(APPEND all_texts ${CMAKE_CURRENT_BINARY_DIR}/${TDD_OUTPUT_DIRECTORY}/Text/${textImage})
ENDFOREACH()
ADD_CUSTOM_TARGET(generate_all_texts DEPENDS ${all_texts})
# NOTE: all_texts is a LIST, while generate_all_texts is a TARGET!
# In the following, "DEPENDS generate_all_texts ${all_texts}" can be used.


# ###### Prepare input images ###############################################
SET(originalsDir "${CMAKE_INSTALL_DATADIR}/${TDD_INSTALL_SUBDIRECTORY}/${TDD_OUTPUT_ORIGINALS}")
FOREACH(image IN LISTS TDD_IMAGE_FILES)
   # ====== Install original ================================================
   IF(INSTALL_ORIGINALS)
      INSTALL(FILES ${image} DESTINATION ${originalsDir})
   ENDIF()

   # ====== Generate hostname graphics ======================================
   GET_FILENAME_COMPONENT(imageName ${image} NAME_WE)
   IF(imageName MATCHES ^[a-z])
      SET(hostname      "${imageName}.${TDD_DOMAIN}")

=== src/grub/CMakeLists.txt ===
#############################################################################
# BOOTLOADER CONFIGURATION FILES
#############################################################################

FILE(GLOB themeFiles  "[0-9][0-9]_*_theme")

# NOTE: themes are scripts!
INSTALL(PROGRAMS ${themeFiles} DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/grub.d)
INSTALL(FILES    grub-defaults DESTINATION ${CMAKE_INSTALL_DATADIR}/simulamet)

=== debian/changelog ===
simulamet (1.2.4-1ubuntu1) resolute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 10 Dec 2025 09:35:42 +0100

simulamet (1.2.3-1ubuntu1) questing; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Mon, 29 Sep 2025 15:07:07 +0200

simulamet (1.2.2-1ubuntu1) questing; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Thu, 10 Jul 2025 12:46:56 +0200

simulamet (1.2.1-1ubuntu1) questing; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 09 Jul 2025 15:13:26 +0200

simulamet (1.2.0-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Sat, 14 Dec 2024 15:26:16 +0100

simulamet (1.1.14-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Tue, 19 Dec 2023 15:28:27 +0100

simulamet (1.1.13-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Tue, 12 Dec 2023 17:13:56 +0100

simulamet (1.1.12-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 06 Dec 2023 17:28:09 +0100

simulamet (1.1.11-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@simula.no>  Tue, 08 Aug 2023 09:16:01 +0200

simulamet (1.1.10-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <dreibh@simula.no>  Wed, 08 Feb 2023 11:46:26 +0100

simulamet (1.1.9-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 11 Sep 2022 13:32:09 +0200

simulamet (1.1.8-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 15 Feb 2022 08:53:01 +0100

simulamet (1.1.7-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 14 Feb 2022 17:15:29 +0100

simulamet (1.1.6-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 14 Jun 2021 12:44:34 +0200

simulamet (1.1.5-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.1.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 15 Dec 2020 18:14:45 +0100

simulamet (1.1.4-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 08 Dec 2020 18:18:31 +0100

simulamet (1.1.3-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 15 Nov 2020 18:05:32 +0100

simulamet (1.1.2-1ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 27 Oct 2020 10:43:47 +0100

simulamet (1.1.1-1ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 10 Oct 2020 12:51:31 +0200

simulamet (1.1.0-1ubuntu1) bionic; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.3.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 06 Oct 2020 20:49:55 +0200

simulamet (1.0.2-1ubuntu1) bionic; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 05 May 2020 13:16:54 +0200

simulamet (1.0.1-1ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 25 Jan 2020 14:43:41 +0100

simulamet (1.0.0-1ubuntu1) bionic; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.4.1.2.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 25 Jan 2020 14:43:32 +0100

simulamet (0.8.0-1ubuntu1) bionic; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.4.1.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 13 Nov 2019 16:28:35 +0100

simulamet (0.7.1-1ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 20 Sep 2019 19:57:49 +0200

simulamet (0.7.0-1ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 22 Aug 2019 17:54:50 +0200

simulamet (0.6.0-1ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 18:57:07 +0200

simulamet (0.5.3-1ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 05 Jul 2019 21:26:02 +0200

simulamet (0.5.2-1ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 03 Jul 2019 09:51:30 +0200

simulamet (0.5.1-1ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 17 Jun 2019 17:18:42 +0200

simulamet (0.5.0-1ubuntu1) bionic; urgency=high

  * New release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 27 Feb 2019 08:08:08 +0800

=== debian/control ===
Source: simulamet
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: http://www.simulamet.no
Vcs-Git: https://github.com/dreibh/simulamet.git
Vcs-Browser: https://github.com/dreibh/simulamet
Build-Depends: cmake,
               debhelper-compat (= 13),
               fonts-dejavu,
               fonts-noto-cjk,
               fonts-noto-hinted,
               ghostscript,
               gimp,
               graphicsmagick,
               gsfonts,
               libimage-exiftool-perl
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: simulamet-management
Architecture: all
Depends: acl,
         apt-file,
         bash,
         bash-completion,
         bridge-utils,
         bwm-ng,
         bzip2,
         chrpath,
         cloud-guest-utils,
         curl,
         dnsutils,
         ethtool,
         fail2ban,
         gdisk,
         git,
         gnupg,
         gpm,
         htop,
         idn,
         iproute2,
         iptables,
         iputils-ping,
         joe,
         jq,
         less,
         make,
         man,
         net-tools,
         netperfmeter,
         nmap,
         openssh-server,
         openssl,
         parallel,
         pwgen,
         python3,
         qt6-linguist | qtbase5-dev,
         qt6-qtbase-devel | qtbase5-dev,
         rsplib-tools,
         rsync,
         subnetcalc,
         sudo,
         tcpdump,
         traceroute,
         tree,
         tsctp,
         tshark,
         unzip,
         uuid,
         virt-what,
         wget,
         zip,
         ${misc:Depends}
Recommends: grub2-common,
            language-pack-de-base,
            language-pack-en-base,
            language-pack-nb-base,
            td-system-configure-grub,
            td-system-tools
Description: Management tools for the SimulaMet system environment
 This metapackage contains basic software for SimulaMet system management.
 The software installed provides a common working environment.
 .
 See http://www.simulamet.no for details on SimulaMet!

Package: simulamet-development
Architecture: all
Depends: autoconf,
         automake,
         bc,
         bison,
         build-essential,
         clang,
         cmake,
         debhelper,
         devscripts,
         distro-info,
         dpkg-dev,
         extra-cmake-modules,
         flex,
         fonts-dejavu,
         fonts-noto,
         fonts-open-sans,
         fonts-urw-base35,
         g++,
         gcc,
         gdb,
         ghostscript,
         git-lfs,
         graphicsmagick,
         gsfonts,
         libboost-all-dev,
         libbz2-dev,
         libc-ares-dev,
         libcurl4-openssl-dev,
         libgeoip-dev,
         libimage-exiftool-perl,
         liblzma-dev,
         libsctp-dev,
         libssl-dev,
         manpages-dev,
         pbuilder,
         pdf2svg,
         pkg-config,
         python3-distro,
         python3-netifaces,
         python3-pip,
         r-base,
         reprepro,
         shellcheck,
         simulamet-management (= ${binary:Version}),
         tidy,
         zlib1g-dev,
         ${misc:Depends}
Recommends: qt6-base-dev,
            qt6-l10n-tools,
            ubuntu-dev-tools,
            valgrind,
            yamllint
Description: Development tools for the SimulaMet system environment
 This metapackage contains basic software for SimulaMet development.
 The software installed provides a common working environment.
 .
 See http://www.simulamet.no for details on SimulaMet!

Package: simulamet-desktop
Architecture: all
Depends: firefox | firefox-esr,
         kubuntu-desktop | neon-desktop | kde-standard | deepin-desktop-environment | lubuntu-desktop | ubuntu-desktop,
         sddm | kdm | lightdm | gdm3,
         simulamet-management (= ${binary:Version}),
         ${misc:Depends}
Description: Desktop setup for the SimulaMet system environment
 This metapackage contains the scripts to configure a SimulaMet desktop.
 .
 See http://www.simulamet.no for details on SimulaMet!

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	# NOTE: CMAKE_VERBOSE_MAKEFILE=OFF for reduced log output!
	dh_auto_configure -- -DFLAT_DIRECTORY_STRUCTURE=0 -DPRINT_A4=1 -DINSTALL_ORIGINALS=0 -DCMAKE_VERBOSE_MAKEFILE=OFF

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://packages.nntb.no/software/simulamet  simulamet-(.*)\.tar\.xz
